###################
#server配置
###################
server:
  port: 98
  session:
    cookie:
      name: PICCGRABCOOKIE
  tomcat:
    uri-encoding: UTF-8
management:
  port: 98

###################
#banner配置
###################
banner:
  charset: utf-8

###################
#spring配置
###################
spring:
  profiles:
    active: dev
  application:
    name: PICCGrab
  output:
    ansi:
      enabled: detect
  http:
    encoding:
      charset: UTF-8
      force: true
      enabled: true
    multipart:
      #单个文件大小
      maxFileSize: 10Mb
      #设置总上传的数据大小
      maxRequestSize: 10Mb
  #邮件服务配置
  mail:
    host: smtp.vip.126.com
    username: shiguche518@vip.126.com
    password: ITGGUJLHXJUJNZLU
    default-encoding: UTF-8
    properties:
      mail:
        smtp:
          starttls:
            enable: true
            required: true
          auth: true
          #配饰 SSL 加密工厂  阿里云25端口不可用
          socketFactory:
            port: 465
            class: javax.net.ssl.SSLSocketFactory
            fallback: false

  datasource:
#    url: jdbc:mysql://rm-bp104hy48869um47090130.mysql.rds.aliyuncs.com/nj_mdb?createDatabaseIfNotExist=true&useUnicode=true&characterEncoding=utf8&autoReconnect=true&serverTimezone=GMT%2B8&useSSL=true
#    username: md_pm
#    password: Cr#lGeYH
    url: jdbc:mysql://rm-2ze5n7na504yifpm05o.mysql.rds.aliyuncs.com/nj_mdb?createDatabaseIfNotExist=true&useUnicode=true&characterEncoding=utf8&autoReconnect=true&serverTimezone=GMT%2B8&useSSL=true
    username: md_nj
    password: 1Zy8fOxA
    driver-class-name: com.mysql.cj.jdbc.Driver
    #Druid连接池
    type: com.alibaba.druid.pool.DruidDataSource
    druid:
      #配置初始化大小、最小、最大
      initialSize: 5
      minIdle: 5
      maxActive: 20
      #配置获取连接等待超时的时间
      maxWait: 30000
      #配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
      timeBetweenEvictionRunsMillis: 60000
      #配置一个连接在池中最小生存的时间，单位是毫秒
      minEvictableIdleTimeMillis: 300000
      validationQuery: SELECT 'x'
      testWhileIdle: true
      testOnBorrow: false
      testOnReturn: false
      #打开PSCache，并且指定每个连接上PSCache的大小
      poolPreparedStatements: true
      maxPoolPreparedStatementPerConnectionSize: 20
      #配置监控统计拦截的filters，去掉后监控界面sql无法统计
      #filters: stat

  freemarker:
    allow-request-override: false
    cache: false
    check-template-location: true
    charset: UTF-8
    content-type: text/html
    expose-request-attributes: true
    expose-session-attributes: true
    expose-spring-macro-helpers: false
  redis:
    host:
    port: 6379
    password:


###################
#mybatis-plus
###################
mybatis-plus:
  mapper-locations: classpath:xml/*Mapper.xml
  # sql 日志打印
  configuration:
      log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  type-aliases-package: com.picc.grab.domain
  global-config:
    #主键类型  0:"数据库ID自增", 1:"用户输入ID",2:"全局唯一ID (数字类型唯一ID)", 3:"全局唯一ID UUID";
    id-type: 3
    #字段策略 0:"忽略判断(所有字段都更新和插入)",1:"非 NULL 判断(只更新和插入非NULL值)",2:"非空判断(只更新和插入非NULL值且非空字符串)"
    field-strategy: 1
    #驼峰下划线转换
    db-column-underline: false
    #刷新mapper 调试神器
    refresh-mapper: true

####################
#系统配置信息
####################
cpm:
  system:
    #页头信息
    systemTitle: 账号管理
    #页脚信息
    systemFooter: Copy All Right © 2005-2018
    #是否启用验证码
    verCode: false
    slide: false
    #是否启用登陆错误锁定开关
    loginErrLockSwitch: false
    #允许登陆错误次数
    loginErrCount: 3
    #登陆错误锁定时间(分钟)
    loginErrLockTime: 30
    #最小差率
    clqjMin: -50
    #最大差率
    clqjMax: 50
    #报价阈值 主要是用这个区分是否是高端车,如果是贵的车,就让人复核下
    bjfz: 10000
  #上传配置
  uploadConf:
    # 上传文件保存方式 0本地保存，1 oss保存
    uploadType: 1
    # 本地保存路径类型 0工程目录内(uploadPath 相对路径 默认: static/upload 不可更改)，1 工程目录外(uploadPath 绝对路径)
    uploadPathType: 0
    # 工程目录外(uploadPath 绝对路径) d:/uploadImg/
    uploadPath: /uploadImg/
    oss:
      #oss接入点
      endpoint: http://oss-cn-hangzhou.aliyuncs.com
      #阿里API账户
      accessKeyId: LTAI4G6dPEJDu3qr3VLtfRk6
      #阿里API密码
      accessKeySecret: 8gbxdupGtv6cwBZW0Wrta8taVyWx4u
      #oss文件保存的bucketName
      bucketName: car-jinjia
      #LOGO图片oss保存路径
      logoImgPath: upload/bj/
      readUrl: https://car-jinjia.oss-cn-hangzhou.aliyuncs.com/
  #运营平台
  carmanage:
    url: http://59.110.242.50
    #要访问的appname
    appname: grab
    secret: iuHS84Jx9ptfTcb1XOBAIJE
  #竞价app
  biddingapp:
    url: http://localhost:93
    #要访问的appname
    appname: grab
    secret: iuHS84Jx9ptfTcb1XOBAIJE
